
static char rcsid[] = "$Id: g_def_text.c,v 1.4 1995/05/23 05:26:07 nakano Exp nakano $";

#include "g_private.h"

void
Cg_def_text (id, color, font)
    int		id;
    G_COLOR	color;
    G_FONT	font;
{
    EXTEND_SLOTS (TEXT_CONTEXT, text, id, G_MAX_N_TEXT_PROPS,
		  "g_def_text : too many text properties");
    text -> slots[id].defined = G_YES;
    text -> slots[id].color
	= g_check_color (color, DEF_TEXT_COLOR, "g_def_text");
    text -> slots[id].font
	= g_check_font (font, DEF_TEXT_FONT, "g_def_text");
}

void
F77g_def_text (id, color, font)
    int *	id;
    G_COLOR *	color;
    G_FONT *	font;
{
    Cg_def_text (* id, * color, * font);
}

void
g_def_text__ (id, color, font)
    int *	id;
    G_COLOR *	color;
    G_FONT *	font;
{
    Cg_def_text (* id, * color, * font);
}

