
static char rcsid[] = "$Id: g_sel_scale.c,v 1.4 1995/05/23 05:26:25 nakano Exp nakano $";

#include "g_private.h"

void
Cg_sel_scale (id)
    int		id;
{
    SCALE_CONTEXT *	scale;

    g_check_init ();
    scale = g_context.scale;

    if (id < 0 || scale -> n_slots <= id || ! scale -> slots[id].defined)
    {
	char	message[200];

	sprintf (message, "undefined scale number %d ignored", id);
	g_warning ("g_sel_scale", message);
	return;
    }

    scale -> current = scale -> slots[id];
}

void
F77g_sel_scale (id)
    int *	id;
{
    Cg_sel_scale (* id);
}

void
g_sel_scale__ (id)
    int *	id;
{
    Cg_sel_scale (* id);
}

