#include<stdio.h>
#define Nx         100
#define Ny         50

void mk_color_full(double x[][Ny+1], double R[], double G[], double B[], \
		   int mod, double xmax, double xmin, \
		   int nx0, int nx, int ny0, int ny)
{
  int i, j, n;  
  double color; 
  n = 0;
  for(j=ny0; j<=ny; j+=mod){
    for(i=nx0; i<=nx; i+=mod){
      color = (x[i][j]-xmin)/(xmax - xmin);
      if(color < 0.0){ 
	R[n] = 0.0;
	G[n] = 0.0;
	B[n] = 1.0;
      }else if(color >= 1.0){
	R[n] = 1.0;
	G[n] = 0.0;
	B[n] = 0.0;
      }else if( (color >= 0.0) && (color < 0.250)){
	R[n] = 0.0;
	G[n] = 4.0*color;
	B[n] = 1.0;
      }else if( (color >= 0.250) && (color < 0.50)){
	R[n] = 0.0;
	G[n] = 1.0;
	B[n] = 2.0 - 4.0*color;
      }else if( (color >= 0.50) && (color < 0.750)){
	R[n] = 4.0*color - 2.0;
	G[n] = 1.0;
	B[n] = 0.0;
      }else if( (color >= 0.750) && (color < 1.0)){
	R[n] = 1.0;
	G[n] = 4.0 - 4.0*color;
	B[n] = 0.0;
      } 
      n += 1;
    }
  }
  printf("n = %d\n", n-1);
}
