
/*
 *	$Id: medef.h,v 1.3 1995/09/27 03:48:45 nakano Exp nakano $
 */

#ifndef     MEDEF
#define     MEDEF   1

#include    <stdio.h>
#include    <time.h>

#define uchar	U_CHAR
#define ushort	U_SHORT

typedef unsigned char   uchar;
typedef unsigned short  ushort;

extern      uchar *malloc();
extern      uchar *calloc();

#define     NL  putchar('\n')
#define     abs(a)      ((a)> 0  ? (a):-(a))
#define     max(a,b)    ((a)>(b) ? (a): (b))
#define     min(a,b)    ((a)>(b) ? (b): (a))
#define     TRUE        ( 1 )
#define     FALSE       ( 0 )

#define FILE_TITLE          ( "GRAPHIC METAFILE Rel 0.0" )
#define MAX_COORD           ( 655.355 )
#define MIN_COORD           ( 0.0 )
#define MAX_PLINE           ( 4096 )
#define HDR_LEN             ( 64 )
#define ERROR               ( EOF )

#define LINE_WIDTH_CODE     ( 0x20 )
#define LINE_TYPE_CODE      ( 0x21 )
#define LINE_COLOR_CODE     ( 0x22 )
#define MARKER_SIZE_CODE    ( 0x23 )
#define MARKER_TYPE_CODE    ( 0x24 )
#define MARKER_COLOR_CODE   ( 0x25 )
#define AREA_COLOR_CODE     ( 0x26 )
#define TEXT_COLOR_CODE     ( 0x27 )

#define CIRCLE_CODE         ( 0x40 )
#define MARKER_CODE         ( 0x41 )
#define POLYLINE_CODE       ( 0x42 )
#define POLYGON_CODE        ( 0x43 )
#define TEXT_CODE           ( 0x44 )

#define CLS_CODE            ( 0x80 )

#define PUTBUF_M            ( 1000 )
#define GETBUF_M            ( 1000 )
#define DUMP_POLYLINE_M     ( 1000 )
#define OPEN_M              ( 1000 )
#define CLS_M               ( 1000 )
#define CLOSE_M             ( 1000 )

#define LINE_WIDTH_M        ( 2000 )
#define LINE_TYPE_M         ( 2000 )
#define LINE_COLOR_M        ( 2000 )
#define MARKER_SIZE_M       ( 2000 )
#define MARKER_TYPE_M       ( 2000 )
#define MARKER_COLOR_M      ( 2000 )
#define AREA_COLOR_M        ( 2000 )
#define TEXT_COLOR_M        ( 2000 )

#define MOVE_M              ( 3000 )
#define PLOT_M              ( 3000 )
#define CIRCLE_M            ( 3000 )
#define MARKER_M            ( 3000 )
#define POLYLINE_M          ( 3000 )
#define POLYGON_M           ( 3000 )
#define TEXT_M              ( 3000 )

#define INQ_LINE_WIDTH_M    ( 4000 )
#define INQ_LINE_TYPE_M     ( 4000 )
#define INQ_LINE_COLOR_M    ( 4000 )
#define INQ_MARKER_SIZE_M   ( 4000 )
#define INQ_MARKER_TYPE_M   ( 4000 )
#define INQ_MARKER_COLOR_M  ( 4000 )
#define INQ_AREA_COLOR_M    ( 4000 )
#define INQ_TEXT_COLOR_M    ( 4000 )

#define INQ_CIRCLE_M        ( 5000 )
#define INQ_MARKER_M        ( 5000 )
#define INQ_POLYLINE_M      ( 5000 )
#define INQ_POLYGON_M       ( 5000 )
#define INQ_TEXT_M          ( 5000 )

#define ERRET( code )  \
        return( -module_code + ( code ) );
#define CHK_RANGE(x,n) \
        if( (x) < MIN_COORD ||(x) >= MAX_COORD ) ERRET(n);
#define ICORD(x)    ( (int)((x)*100.0+0.5) )
#define FCORD(x)    ( (float)(x)/100.0 )

#define	XSIZE  2624
#define	YSIZE  1824           
#define	CSI		'\233'  
#define	ESC		'\033'  
#define	IS1		'\037'  
#define	IS2		'\036'
#define	FF		'\f'

#endif
