
/*
 *	$Id: metag.h,v 1.1 1992/12/14 06:01:38 nakano Exp nakano $
 */

#ifndef     METAG
#define     METAG   1

typedef struct {
    struct  {
        uchar   CODE;
        uchar   FLAG;
    }   HDR;

    union {
        short  LW;     /* line width   */
        short  LT;     /*      type    */
        short  LC;     /*      color   */
        short  MS;     /* marker size  */
        short  MT;     /*        type  */
        short  MC;     /*        color */
        short  AC;     /* area color   */
        short  TC;     /* text color   */
        struct  {
            ushort  X, Y, R;
            }   CC;     /* circle       */
        struct  {
            ushort  X, Y;
            }   MM;     /* marker       */
        ushort  NP;     /* polyline     */
        ushort  GN;     /* polygon      */
        struct  {
            ushort  X, Y;
            }   TT;     /* text         */
    }   D;
}   FIGURE;

#endif      /* METAG */
