
static char rcsid[] = "$Id: g_circle.c,v 1.4 1995/05/23 05:26:02 nakano Exp nakano $";

#include "g_private.h"

void
Cg_circle (x, y, radius_x, edge, fill)
    G_P_POS	x, y;
    G_P_DIM	radius_x;
    G_BOOL	edge;
    G_BOOL	fill;
{
    G_CIRCLE_DEF	packet;
    SCALE *		scale;

    g_check_init ();
    scale = CURRENT (scale);
    packet.x = TRANSLATE_X (scale, x);
    packet.y = TRANSLATE_Y (scale, y);
    packet.radius_x = TRANSLATE_W (scale, radius_x);
    packet.edge = edge;
    packet.fill = fill;

    CALL_PROC (circle, & packet);
}

F77g_circle (x, y, radius_x, edge, fill)
    G_POS *	x;
    G_POS *	y;
    G_DIM *	radius_x;
    G_BOOL *	edge;
    G_BOOL *	fill;
{
    Cg_circle (* x, * y, * radius_x, * edge, * fill);
}

g_circle__ (x, y, radius_x, edge, fill)
    G_POS *	x;
    G_POS *	y;
    G_DIM *	radius_x;
    G_BOOL *	edge;
    G_BOOL *	fill;
{
    Cg_circle (* x, * y, * radius_x, * edge, * fill);
}

