
static char rcsid[] = "$Id: g_data_plot.c,v 1.4 1995/05/23 05:26:04 nakano Exp nakano $";

#include "g_private.h"

void
Cg_data_plot (x_left, x_right, y, n)
    G_P_POS	x_left;
    G_P_POS	x_right;
    G_POS	y[];
    int		n;
{
    SCALE *		scale = CURRENT (scale);
    G_POLYLINE_DEF	packet;
    G_P_POS		delta, x;
    int			i, j;

    g_check_init ();

    delta = (x_right - x_left) / (n - 1);
    x = x_left;
    j = 0;

    for (i = 0; i < n; i ++)
    {
	packet.points[j].x = TRANSLATE_X (scale, x);
	packet.points[j].y = TRANSLATE_Y (scale, y[i]);
	x += delta;

	if (j == 0 || packet.points[j - 1].x != packet.points[j].x
		   || packet.points[j - 1].y != packet.points[j].y)
	{
	    j ++;
	}

	if (j >= G_MAX_N_POINTS || i == n - 1)
	{
	    packet.n_points = j;
	    CALL_PROC (polyline, & packet);
	    packet.points[0] = packet.points[j - 1];
	    j = 1;
	}
    }
}

void
F77g_data_plot (x_left, x_right, y, n)
    G_POS *	x_left;
    G_POS *	x_right;
    G_POS	y[];
    int *	n;
{
    Cg_data_plot (* x_left, * x_right, y, * n);
}

void
g_data_plot__ (x_left, x_right, y, n)
    G_POS *	x_left;
    G_POS *	x_right;
    G_POS	y[];
    int *	n;
{
    Cg_data_plot (* x_left, * x_right, y, * n);
}

