
static char rcsid[] = "$Id: g_def_marker.c,v 1.4 1995/05/23 05:26:06 nakano Exp nakano $";

#include "g_private.h"

void
Cg_def_marker (id, color, size, type)
    int			id;
    G_COLOR		color;
    int			size;
    G_MARKER_TYPE	type;
{
    EXTEND_SLOTS (MARKER_CONTEXT, marker, id, G_MAX_N_MARKER_PROPS,
		  "g_def_marker : too many marker properties");
    marker -> slots[id].defined = G_YES;
    marker -> slots[id].color
	= g_check_color (color, DEF_MARKER_COLOR, "g_def_marker");
    marker -> slots[id].size
	= g_check_marker_size (size, DEF_MARKER_SIZE, "g_def_marker");
    marker -> slots[id].type
	= g_check_marker_type (type, DEF_MARKER_TYPE, "g_def_marker");
}

void
F77g_def_marker (id, color, size, type)
    int *		id;
    G_COLOR *		color;
    int *		size;
    G_MARKER_TYPE *	type;
{
    Cg_def_marker (* id, * color, * size, * type);
}

void
g_def_marker__ (id, color, size, type)
    int *		id;
    G_COLOR *		color;
    int *		size;
    G_MARKER_TYPE *	type;
{
    Cg_def_marker (* id, * color, * size, * type);
}

