
static char rcsid[] = "$Id: g_polyline.c,v 1.4 1995/05/23 05:26:21 nakano Exp nakano $";

#include "g_private.h"

void
Cg_polyline (x, y, n)
    G_POS	x[];
    G_POS	y[];
    int		n;
{
    G_POLYLINE_DEF	packet;
    int			i, j;
    SCALE *		scale;

    g_check_init ();
    scale = CURRENT (scale);
    j = 0;

    for (i = 0; i < n; i ++)
    {
	packet.points[j].x = TRANSLATE_X (scale, x[i]);
	packet.points[j].y = TRANSLATE_Y (scale, y[i]);

	if (j == 0 || packet.points[j - 1].x != packet.points[j].x
		   || packet.points[j - 1].y != packet.points[j].y)
	{
	    j ++;
	}

	if (j >= G_MAX_N_POINTS || i == n - 1)
	{
	    packet.n_points = j;
	    CALL_PROC (polyline, & packet);
	    packet.points[0] = packet.points[j - 1];
	    j = 1;
	}
    }
}

void
F77g_polyline (x, y, n)
    G_POS	x[];
    G_POS	y[];
    int *	n;
{
    Cg_polyline (x, y, * n);
}

void
g_polyline__ (x, y, n)
    G_POS	x[];
    G_POS	y[];
    int *	n;
{
    Cg_polyline (x, y, * n);
}

