
static char rcsid[] = "$Id: g_sel_marker.c,v 1.4 1995/05/23 05:26:24 nakano Exp nakano $";

#include "g_private.h"

void
Cg_sel_marker (id)
    int		id;
{
    MARKER_CONTEXT *	marker;

    g_check_init ();
    marker = g_context.marker;

    if (id < 0 || marker -> n_slots <= id || ! marker -> slots[id].defined)
    {
	char	message[200];

	sprintf (message, "undefined marker number %d ignored", id);
	g_warning ("g_sel_marker", message);
	return;
    }

    marker -> current = marker -> slots[id];
}

void
F77g_sel_marker (id)
    int *	id;
{
    Cg_sel_marker (* id);
}

void
g_sel_marker__ (id)
    int *	id;
{
    Cg_sel_marker (* id);
}

