/*  Programmed by Daishin UEYAMA, 2009.01.19  */
/*  Modified by Masaharu NAGAYAMA, 2009.01.19 */

#include "/usr/local/include/glsc.h"
#include <stdio.h>
#define Imax    (501) /* x̕_ */ 
#define Jmax    (100) /* y̕_ */
#define Xleft   (0.0)
#define Xright  (1.0)
#define Ybottom (0.0)  /* Ot̍ŏl̒ */
#define Ytop    (30.0) /* Ot̍ől̒ */      
#define Jstep   (1)
#define Istep   (Imax) 
#define X (100.0)
#define Y (200.0)
#define Xmar (10.0)
#define Ymar (10.0)
#define Xwid (80.0)
#define Ywid (180.0)
int main(int argc, char **argv)
{
    int i, j;
    int imax = Imax;
    int jmax = Jmax;
    int istep = Istep;
    int jstep = Jstep;
    FILE *fp = stdin;
    double *u, *v;

    fp = fopen(argv[1], "r");
    /* Memory allocation */
    u = (double *)malloc((imax)*(jmax)*sizeof(double));
    if(u == NULL)
    {
        fprintf(stderr, "Can't allocate memory.\n", argv[0]);
        exit(1);
    }
    /* Read the data */
    for(j = 0; j < jmax; j++)
    {
        for(i = 0; i < imax; i++)
        {
            fscanf(fp, "%lf", &u[i*jmax + j]); 
        }
    }
    g_init("Graph", X, Y);
    g_device(G_BOTH); 
    g_hidden(10.0, 15.0, 10.0, Ybottom, Ytop, 
             500.0, 0.0, 80.0,
             Xmar, Ymar, Xwid, Ywid, 
             u, imax, jmax, 1,
             1, istep, jstep); 
   g_sleep(G_STOP);
}

