        subroutine mk_color(x,R,G,B,mod,xmax,xmin,
     &                          nx0,nx,ny0,ny,ix,iy)
c
        integer mod, nx0, nx, ny0, ny, ix, iy
        real*8  xmax, xmin, color
        real*8  x(0:ix,0:iy)
        real*8  R(0:ix*iy), G(0:ix*iy), B(0:ix*iy)
c
        integer i, j, n
c
        n = 0
        do j = ny0, ny, mod
          do i = nx0, nx, mod
            color = (x(i,j)-xmin)/(xmax - xmin)
            if( color .LT. 0.d0) then
              R(n) = 0.d0
              G(n) = 0.d0
              B(n) = 1.d0
            else if( color .GE. 1.d0) then
              R(n) = 1.d0
              G(n) = 0.d0
              B(n) = 0.d0
            else if( (color .GE. 0.d0) .AND. (color .LT. 0.25d0)) then
              R(n) = 0.d0
              G(n) = 4.d0*color
              B(n) = 1.d0
            else if( (color .GE. 0.25d0) .AND. (color .LT. 0.5d0)) then
              R(n) = 0.d0
              G(n) = 1.d0
              B(n) = 2.d0 - 4.d0*color
            else if( (color .GE. 0.5d0) .AND. (color .LT. 0.75d0)) then
              R(n) = 4.d0*color - 2.d0
              G(n) = 1.d0
              B(n) = 0.d0
            else if( (color .GE. 0.75d0) .AND. (color .LT. 1.d0)) then
              R(n) = 1.d0
              G(n) = 4.d0 - 4.d0*color
              B(n) = 0.d0
            end if
            n = n + 1
          end do
        end do
        write(*,*) 'n = ', n-1
        END
